cog(1)

NAME
cog - A command line tool for the conventional commits and semver specifications

SYNOPSIS
cog [-v|--verbose]... [-q|--quiet] [-h|--help] [-V|--version] <subcommands>

DESCRIPTION
A command line tool for the conventional commits and semver specifications

OPTIONS

-v, --verbose
    The level of verbosity: -v for ERROR, -vv for WARNING, -vvv for INFO

-q, --quiet
    Silence all output, no matter the value of verbosity

-h, --help
    Print help

-V, --version
    Print version

SUBCOMMANDS

cog-check(1)
    Verify all commit messages against the conventional commit specification

cog-commit(1)
    Create a new conventional commit

cog-edit(1)
    Interactively rename invalid commit messages

cog-log(1)
    Like git log but for conventional commits

cog-verify(1)
    Verify a single commit message

cog-changelog(1)
    Display a changelog for the given commit oid range

cog-get-version(1)
    Get current version

cog-bump(1)
    Commit changelog from latest tag to HEAD and create new tag

cog-init(1)
    Install cog config files

cog-install-hook(1)
    Add git hooks to the repository

cog-generate-completions(1)
    Generate shell completions

cog-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v6.3.0

AUTHORS
Paul D. <paul.delafosse@protonmail.com>